DaemonForums  

Go Back   DaemonForums > FreeBSD > FreeBSD Ports and Packages

FreeBSD Ports and Packages Installation and upgrading of ports and packages on FreeBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 22nd August 2009
TerryP's Avatar
TerryP TerryP is offline
Arp Constable
 
Join Date: May 2008
Location: USofA
Posts: 1,547
Thanked 112 Times in 104 Posts
Default Anyone else getting ./configure failures since libtool was upgraded?

Last night I started the work of updating ports and package on my laptop after a couple months leave, and having tried to install a port needing a more recent glib (oi) and libtool/lib.

as instructed by UPDATING I replaced the ports:

Code:
portmaster -o devel/libtool22 devel/libtool15
portmaster -o devel/libltdl22 devel/libltdl15
and with about 500 of a 1000 packages out of date, you could say a portmaster -gDa was in order anyway. Normally



Since upgrading libtool and libltdl, I'm starting to get configure scripts failing with libtool not found! So far guile and libgphoto2 have popped corks. I've about 400 ports left to upgrade, including ones I really want to get sorted: like Qt 4.5, pidgin 2.6, and a few linux-*. So there's really no point in continuing if more of these are going to crawl out of the woodwork.



Has anyone else been getting problems since the libtool changes ~3 weeks ago, or am I just sitting under a pigeon?
__________________
My Journal

Thou shalt check the array bounds of all strings (indeed, all arrays), for surely where thou typest ``foo'' someone someday shall type ``supercalifragilisticexpialidocious''.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
How to configure VSFTPD? Sunsawe FreeBSD Ports and Packages 8 26th September 2009 02:28 PM
Reboot loop on 7.0 upgraded to 7.1 EricM FreeBSD Installation and Upgrading 3 25th March 2009 04:25 AM
link: `libtheora_la-common.lo' is not a valid libtool object error during compilation pax FreeBSD Ports and Packages 2 29th July 2008 11:30 AM
Anyone upgraded from Apache 1.3 to 2.2? windependence FreeBSD Ports and Packages 1 15th July 2008 04:04 PM
Ath0 + wpa, how configure? nesca2in1 FreeBSD General 10 2nd July 2008 04:12 AM


All times are GMT. The time now is 11:27 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick